Skip to main content

Alerts API

Manage alert rules, notification channels, and view alert history.

Base URL: https://app.kamustatus.com/api

Notification Channels

Kamustatus supports 14 notification channel types. See Notifications for configuration details on each type.

List Channels

curl https://app.kamustatus.com/api/notification-channels \
-H "x-api-key: km_your_api_key"

Create Channel

curl -X POST https://app.kamustatus.com/api/notification-channels \
-H "x-api-key: km_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"name": "Engineering Slack",
"type": "slack",
"config": {
"webhookUrl": "https://hooks.slack.com/services/T.../B.../xxx"
}
}'

Update Channel

curl -X PATCH https://app.kamustatus.com/api/notification-channels/:channelId \
-H "x-api-key: km_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"name": "Oncall Slack"
}'

Delete Channel

curl -X DELETE https://app.kamustatus.com/api/notification-channels/:channelId \
-H "x-api-key: km_your_api_key"

Alert Rules

List Alert Rules

curl https://app.kamustatus.com/api/alert-rules \
-H "x-api-key: km_your_api_key"

Create Alert Rule

curl -X POST https://app.kamustatus.com/api/alert-rules \
-H "x-api-key: km_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"name": "Notify on downtime",
"monitorIds": ["mon_abc123"],
"channelIds": ["ch_xyz789"],
"trigger": "monitor_down",
"consecutiveFailures": 2
}'

Update Alert Rule

curl -X PATCH https://app.kamustatus.com/api/alert-rules/:ruleId \
-H "x-api-key: km_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"consecutiveFailures": 3
}'

Delete Alert Rule

curl -X DELETE https://app.kamustatus.com/api/alert-rules/:ruleId \
-H "x-api-key: km_your_api_key"

Alert History

curl "https://app.kamustatus.com/api/alert-history?from=2025-05-01&to=2025-05-31" \
-H "x-api-key: km_your_api_key"

Response:

[
{
"id": "ah_001",
"ruleId": "rule_abc",
"monitorId": "mon_abc123",
"channelId": "ch_xyz789",
"triggeredAt": "2025-05-15T08:30:00Z",
"resolvedAt": "2025-05-15T08:35:00Z",
"type": "monitor_down"
}
]